Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libspiro
#Epoch:		0
Version:	20071029
Release:	1
License:	<LICENSE>
URL:		http://libspiro.sourceforge.net/
Group:		System/Libraries
Summary:	a library for drawing smooth contours with constant curvature at spline joints
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}_src-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
Spiro is the creation of Raph Levien. It simplifies the drawing of beautiful curves.

Using bézier splines an artist can easily draw curves with the same slope on either side of an on-curve point. Spiros, on the other hand, are based on clothoid splines which make it easy to maintain constant curvature as well as constant slope. Such curves will simply look nicer.

Raph Levien's spiro splines only use on-curve points and so are easier to use and more intuitive to the artist.

This library will take an array of spiro control points and convert them into a series of bézier splines which can then be used in the myriad of ways the world has come to use béziers. 


%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Is this really needed?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libspiro.so.*

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/libspiro.so
#%{_libdir}/libspiro.a
%{_libdir}/libspiro.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 20071029-1
- initial CCux package release
